.TH cvm-pgsql 8
.SH NAME
cvm-pgsql \- PgSQL module
.SH SYNOPSIS
cvm-pgsql
.SH CREDENTIALS
Pass phrase
.SH DESCRIPTION
This module queries a PgSQL database for the account name, compares the
stored pass phrase with the given one using
.BR crypt (3).
.SH CONFIGURATION VARIABLES
The server hostname, port, database, username, password, and additional
options can be controlled by setting
.IR $PGHOST ,
.IR $PGPORT ,
.IR $PGDATABASE ,
.IR $PGUSER ,
.IR $PGPASSWORD ,
and
.I $PGOPTIONS
respectively, which are parsed by the PgSQL client library.
.TP
.B CVM_MYSQL_POSTQ \fR(optional)
The SQL query to execute after the credentials have been validated, see
.BR cvm-sql (7).
.TP
.B CVM_PGSQL_PWCMP \fR(optional)
The
.I password comparison module
to use.
.TP
.B CVM_PGSQL_QUERY \fR(optional)
The SQL query to issue to retrieve the row containing the account information
from the database.
.SH SEE ALSO
cvm-sql(7),
cvm-mysql(8),
cvm-pwfile(8),
cvm-qmail(8),
cvm-unix(8),
cvm-vmailmgr(8),
cvm-benchclient(8),
cvm-checkpassword(8),
cvm-testclient(8)

 http://untroubled.org/pwcmp/pwcmp.html
 http://untroubled.org/cvm/cvm.html
